Bug 738742 - Review Request: rubygem-coffee-script - Ruby CoffeeScript Compiler
Review Request: rubygem-coffee-script - Ruby CoffeeScript Compiler
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
AwaitingSubmitter
:
Depends On: 738744 738746
Blocks: 738465
  Show dependency treegraph
 
Reported: 2011-09-15 13:27 EDT by Fotios Lindiakos
Modified: 2014-01-12 20:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 01:44:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fotios Lindiakos 2011-09-15 13:27:42 EDT
Spec URL: https://raw.github.com/fotioslindiakos/rubygem-all/master/SPECS/rubygem-coffee-script.spec

SRPM URL: https://github.com/fotioslindiakos/rubygem-all/raw/master/SRPMS/rubygem-coffee-script-2.2.0-1.fc15.src.rpm

Description: Ruby CoffeeScript is a bridge to the JS CoffeeScript compiler.
Comment 1 Jason Tibbitts 2012-06-29 20:37:18 EDT
I don't know very much about ruby, but this package doesn't appear to follow the current guidelines very closely at all.  https://fedoraproject.org/wiki/Packaging:Ruby

Not knowing ruby I can't comment on how important those differences actually are.  Perhaps you could comment on those differences.
Comment 2 Bohuslav "Slavek" Kabrda 2012-07-17 09:33:12 EDT
Since Fotios has been inactive for quite some time, I'll take this review over.
Comment 3 Bohuslav "Slavek" Kabrda 2012-07-17 09:45:44 EDT
So here are the updated spec and srpm, I created them completely from scratch:

SPEC: http://bkabrda.fedorapeople.org/pkgs/coffee-script/rubygem-coffee-script.spec
SRPM: http://bkabrda.fedorapeople.org/pkgs/coffee-script/rubygem-coffee-script-2.2.0-1.fc17.src.rpm
Description: Ruby CoffeeScript is a bridge to the JS CoffeeScript compiler.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4246436
Comment 4 Vít Ondruch 2012-07-17 10:39:54 EDT
* The test should be expanded in %check section
  - I would prefer if the test suite is expanded in the %check section, since
    in that case, you will avoid the RPM polution. Although admittedly, the
    %patch macro does not work there, but you can use something like:

    cat %{PATCH0} | patch -p1

Since this is just minor nit and the package looks reasonable otherwise, I APPROVE the package.
Comment 5 Bohuslav "Slavek" Kabrda 2012-07-17 10:41:54 EDT
Thanks, I will fix this before importing.

New Package SCM Request
=======================
Package Name: rubygem-coffee-script
Short Description: Ruby CoffeeScript Compiler
Owners: bkabrda
Branches: 
InitialCC:
Comment 6 Jon Ciesla 2012-07-17 23:13:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.